// FILENAME:	gTDM_StrawberryHill.cs
//
// AUTHORS:  	SoMeOnE
//------------------------------------------------------------------------------

$missionName = "gTDM_StrawberryHill";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = false;
	$server::AllowDeathmatch = true;
	$server::AllowTeamPlay = true;	
}

function onMissionStart()
{
	// Keep tracks of hercs near a door
	$HercsAtDoor1 = 0;
	$HercsAtDoor2 = 0;  
	$HercsAtDoor3 = 0;  
	$HercsAtDoor4 = 0;   
   
	deathSounds();
}

function player::onAdd(%this)
{
   player::onAddLog(%this);
	
	if($server::TeamPlay == true)
	{
      say(%this,0, *IDMULT_TDM_WELCOME);
	say(%this,0, "Welcome to gTDM_StrawberryHill, a Ghosts Starsiege Expansion Multiplayer map. This map runs a custom terrian that"@
			" can be found at http://www.sunandshadows.com/ in the Files section. Watch out for mines in the minefield.");
   }
	else
	{
      say(%this,0, *IDMULT_DM_WELCOME);
	say(%this,0, "Welcome to gTDM_StrawberryHill, a Ghosts Starsiege Expansion Multiplayer map. This map runs a custom terrian that"@
			" can be found at http://www.sunandshadows.com/ in the Files section. Watch out for mines in the minefield.");
   }
}   

function deathSounds(){
 earthquakeSounds();
 %weather1 = getObjectId("MissionGroup\\World\\terrain");
 createAmbientSoundSource(%weather1, 0, 60, 100);
 addToAmbientSoundSource(%weather1, "F3_Riana_aaaargh.wav", IDPRF_2D);
 addToAmbientSoundSource(%weather1, "sfx_reactor_xplo.wav", IDPRF_2D); }

function onMissionLoad(){
   cdAudioCycle("Watching", "Terror"); 
}

function setVehiclePos(%veh, %where)
{
	%x = getPosition(%where, x);
	%y = getPosition(%where, y);
	%z = getPosition(%where, z);
	setPosition(%veh, %x, %y, %z);
}

function MineField::trigger::onEnter(%t, %v)
{
	healObject(%v, -500000);
	say(0,0,getHudName(%v)@" hit a mine in the Mine Field.");
}

function LiftP::trigger::onEnter(%t, %v)
{
	setVehiclePos(%v, getObjectId("MissionGroup\\Tele\\Pup"));
}

function LiftB::trigger::onEnter(%t, %v)
{
	setVehiclePos(%v, getObjectId("MissionGroup\\Tele\\Bup"));
}

function LiftR::trigger::onEnter(%t, %v)
{
	setVehiclePos(%v, getObjectId("MissionGroup\\Tele\\Rup"));
}

function LiftY::trigger::onEnter(%t, %v)
{
	setVehiclePos(%v, getObjectId("MissionGroup\\Tele\\Yup"));
}

function DownY::trigger::onEnter(%t, %v)
{
	setVehiclePos(%v, getObjectId("MissionGroup\\Tele\\Ydown"));
}

function DownP::trigger::onEnter(%t, %v)
{
	setVehiclePos(%v, getObjectId("MissionGroup\\Tele\\Pdown"));
}

function DownB::trigger::onEnter(%t, %v)
{
	setVehiclePos(%v, getObjectId("MissionGroup\\Tele\\Bdown"));
}

function DownR::trigger::onEnter(%t, %v)
{
	setVehiclePos(%v, getObjectId("MissionGroup\\Tele\\Ydown"));
}

function door1::trigger::onEnter(%this, %vehicleId){
	if($hercsAtDoor1 == 0){
		playAnimSequence(getObjectId("MissionGroup\\Triggers\\XDoor1\\Door"), 0, true);
	}
	$hercsAtDoor1 = $hercsAtDoor1 + 1;
}
function door1::trigger::onLeave(%this, %vehicleId){
	$hercsAtDoor1 = $hercsAtDoor1 - 1;
	if($hercsAtDoor1 == 0){
		playAnimSequence(getObjectId("MissionGroup\\Triggers\\XDoor1\\Door"), 0, false);
	}
}
function door2::trigger::onEnter(%this, %vehicleId){
	if($hercsAtDoor2 == 0){
		playAnimSequence(getObjectId("MissionGroup\\Triggers\\XDoor2\\Door"), 0, true);
	}
	$hercsAtDoor2 = $hercsAtDoor2 + 1;
}
function door2::trigger::onLeave(%this, %vehicleId){
	$hercsAtDoor2 = $hercsAtDoor2 - 1;
	if($hercsAtDoor2 == 0){
		playAnimSequence(getObjectId("MissionGroup\\Triggers\\XDoor2\\Door"), 0, false);
	}
}
function door3::trigger::onEnter(%this, %vehicleId){
	if($hercsAtDoor3 == 0){
		playAnimSequence(getObjectId("MissionGroup\\Triggers\\XDoor3\\Door"), 0, true);
	}
	$hercsAtDoor3 = $hercsAtDoor3 + 1;
}
function door3::trigger::onLeave(%this, %vehicleId){
	$hercsAtDoor3 = $hercsAtDoor3 - 1;
	if($hercsAtDoor3 == 0){
		playAnimSequence(getObjectId("MissionGroup\\Triggers\\XDoor3\\Door"), 0, false);
	}
}
function door4::trigger::onEnter(%this, %vehicleId){
	if($hercsAtDoor4 == 0){
		playAnimSequence(getObjectId("MissionGroup\\Triggers\\XDoor4\\Door"), 0, true);
	}
	$hercsAtDoor4 = $hercsAtDoor4 + 1;
}
function door4::trigger::onLeave(%this, %vehicleId){
	$hercsAtDoor4 = $hercsAtDoor4 - 1;
	if($hercsAtDoor4 == 0){
		playAnimSequence(getObjectId("MissionGroup\\Triggers\\XDoor4\\Door"), 0, false);
	}
}

